Bug 2117537

Summary: agent.iso is created in case of empty or invalid rendezvousIP
Product: OpenShift Container Platform Reporter: Manoj Hans <mhans>
Component: InstallerAssignee: Andrea Fasano <afasano>
Installer sub component: Agent based installation QA Contact: Manoj Hans <mhans>
Status: RELEASE_PENDING --- Docs Contact:
Severity: low    
Priority: medium CC: afasano, asegurap, zbitter
Version: 4.12   
Target Milestone: ---   
Target Release: 4.12.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Manoj Hans 2022-08-11 09:27:44 UTC
Description: agent.iso is created in case of empty or invalid rendezvousIP

Here is the content of agent-config.yaml
Empty Case:
--------------------------------------------
kind: AgentConfig
metadata:
  name: sno-cluster
spec:
  rendezvousIP: 
--------------------------------------------
Invalid IP Address Case:
--------------------------------------------
kind: AgentConfig
metadata:
  name: sno-cluster
spec:
  rendezvousIP: 12121221
--------------------------------------------

How reproducible:

always

Repro Steps: 

1) Get the latest agent-installer and build

git clone -b agent-installer https://github.com/openshift/installer.git
cd installer/
hack/build.sh

2) Create agent.iso using agent-config and install-config files.


Expected: Installer should be thrown an error message something like this: spec.rendezvousIP: Invalid value: “”: rendezvousIP must provide the valid IP address.
Actual: Able to create agent.iso image.

Comment 1 Zane Bitter 2022-09-23 16:11:26 UTC
All fields in the agent-config are optional, so an empty rendezvousIP is fine.

It would be good to check for an invalid IP.

Comment 3 Manoj Hans 2022-10-19 07:17:08 UTC
This bug has been verified with registry.ci.openshift.org/ocp/release:4.12.0-0.nightly-2022-10-18-041406 release, its working as expected. Hence moving it to verified.